Reference example
# Fixed reference example. Playground inputs do not update this sample.
curl --request GET \
--url 'https://api.aisa.one/apis/v1/amazon/get-category-products-v1?categoryId=example&country=AE&page=1&sortBy=BEST_SELLERS' \
--header 'Authorization: Bearer <token>'curl --request GET \
--url https://api.aisa.one/apis/v1/amazon/get-category-products-v1 \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/amazon/get-category-products-v1"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/amazon/get-category-products-v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/amazon/get-category-products-v1",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/amazon/get-category-products-v1"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/amazon/get-category-products-v1")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/amazon/get-category-products-v1")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyAmazon
Amazon products by category id and country
<!-- aisa-pricing:start -->
按用量计费;默认请求预估费用:$0.01476 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。
<!-- aisa-pricing:end -->
GET
https://api.aisa.one
/
apis
/
v1
/
amazon
/
get-category-products-v1
Reference example
# Fixed reference example. Playground inputs do not update this sample.
curl --request GET \
--url 'https://api.aisa.one/apis/v1/amazon/get-category-products-v1?categoryId=example&country=AE&page=1&sortBy=BEST_SELLERS' \
--header 'Authorization: Bearer <token>'curl --request GET \
--url https://api.aisa.one/apis/v1/amazon/get-category-products-v1 \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/amazon/get-category-products-v1"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/amazon/get-category-products-v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/amazon/get-category-products-v1",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/amazon/get-category-products-v1"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/amazon/get-category-products-v1")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/amazon/get-category-products-v1")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body请求规范
- 方法与路径: GET /apis/v1/amazon/get-category-products-v1
- 可用状态: enabled
- 请求 URL 模板:
https://api.aisa.one/apis/v1/amazon/get-category-products-v1 - categoryId: query; 必填
- country: query; 必填
- page: query; 必填
- sortBy: query; 必填
- Runtime 事实版本: 264e46cb48593b2d959a688a2c9ea64a62f337571623d93d81c67a6b2572c2de
{
"operationId": "amazon.get-category-products-v1",
"method": "GET",
"path": "/apis/v1/amazon/get-category-products-v1",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [
{
"examples": {
"default": {
"value": "example"
},
"minimal": {
"value": "example"
}
},
"in": "query",
"name": "categoryId",
"required": true,
"schema": {
"maxLength": 1024,
"minLength": 1,
"type": "string"
}
},
{
"examples": {
"default": {
"value": "AE"
},
"minimal": {
"value": "AE"
}
},
"in": "query",
"name": "country",
"required": true,
"schema": {
"enum": [
"AE",
"AU",
"BE",
"BR",
"CA",
"CN",
"DE",
"EG",
"ES",
"FR",
"GB",
"IE",
"IN",
"IT",
"JP",
"MX",
"NL",
"PL",
"SA",
"SE",
"SG",
"TR",
"US",
"ZA"
],
"minLength": 1,
"type": "string"
}
},
{
"examples": {
"default": {
"value": 1
},
"minimal": {
"value": 1
}
},
"in": "query",
"name": "page",
"required": true,
"schema": {
"enum": [
1
],
"maximum": 1,
"minimum": 1,
"type": "integer"
}
},
{
"examples": {
"default": {
"value": "BEST_SELLERS"
},
"minimal": {
"value": "BEST_SELLERS"
}
},
"in": "query",
"name": "sortBy",
"required": true,
"schema": {
"enum": [
"BEST_SELLERS",
"HIGHEST_PRICE",
"LOWEST_PRICE",
"NEWEST",
"RELEVANCE",
"REVIEWS"
],
"minLength": 1,
"type": "string"
}
}
],
"security": [
{
"bearerAuth": []
}
],
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_units",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.01476,
"estimate_source": "profile_seed",
"evidence_source": "response_header",
"unit": "provider_credit",
"unit_rate_usd": 1e-06
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
费用与请求规则
按用量计费;默认请求预估费用:$0.01476 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。- 默认请求参考估价(USD): 0.01476
- 声明的单位费率(USD): 1e-06
- 计费单位: provider_credit
- 计费依据: response_units
- 公开参考倍率: 1.0
- 结算证据来源: response_header
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
查询参数
Required string length:
1 - 1024可用选项:
AE, AU, BE, BR, CA, CN, DE, EG, ES, FR, GB, IE, IN, IT, JP, MX, NL, PL, SA, SE, SG, TR, US, ZA Minimum string length:
1可用选项:
1 必填范围:
1 <= x <= 1可用选项:
BEST_SELLERS, HIGHEST_PRICE, LOWEST_PRICE, NEWEST, RELEVANCE, REVIEWS Minimum string length:
1响应
成功响应